Bug 353088 - kate (15.08.1) interface freeze if reloading changed file, moving the window solves the problem.
Summary: kate (15.08.1) interface freeze if reloading changed file, moving the window ...
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: application (show other bugs)
Version: unspecified
Platform: Archlinux Packages Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-23 15:09 UTC by Dominik Kummer
Modified: 2016-09-07 19:21 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominik Kummer 2015-09-23 15:09:07 UTC
I am working on some xslt Files. The result xml-Files are open
in Kate. To test the transformation I run xsltproc from terminal.
If I want to switch to the xml-result, a dialog asks if I want to
reload the changed file. I reload it, Window freezes. Sometimes
a 'File->Reload all', or switch to another file solves the issue.
Recently I found out that moving the window unfreezes kate again.

Reproducible: Sometimes

Steps to Reproduce:
1.Open File
2.Run Script which makes Changes to File
3.Dialog 'File changed' -> Reload

Actual Results:  
- Kate Window Freezes
- Menu still working
- Moving Window solves the Problem

Expected Results:  
- Show the changed File
Comment 1 Christoph Cullmann 2016-01-31 21:11:56 UTC
Git commit 1525fd5ff7c9bb890e4deac5465876bc1cbaa7f3 by Christoph Cullmann.
Committed on 31/01/2016 at 21:11.
Pushed by cullmann into branch 'master'.

remove some suspicious setUpdatesEnabled calls

M  +0    -6    src/document/katedocument.cpp

http://commits.kde.org/ktexteditor/1525fd5ff7c9bb890e4deac5465876bc1cbaa7f3
Comment 2 Buovjaga 2016-06-30 15:53:41 UTC
domson: is the problem fixed now?
Comment 3 Christoph Cullmann 2016-09-07 19:21:31 UTC
Please retry and reopen, if that happens with 16.08/KF 5.25 again.